Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Gregory Heytings <[email-masked]>
Date: Wed, 27 Oct 2021 09:12:45 +0000

>
> The better setting is '(basic flex). With that setting, there is no 
> problem at all. Try
>
> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))"
>

That's better from your point of view.  Some users do not want to use the 
"basic" completion backend before the "flex" completion backend, they want 
to use "flex" and, only when "flex" fails, "basic".

>
> If I do instead
>
> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))" -f 
> fido-vertical-mode
>
> it doesn't work. Debugging of fido-vertical-mode is needed, I suppose.
>

This has already been done, as Manuel suggested the solution would be to 
add a fallback in icomplete--fido-mode-setup, which amounts to doing (set 
completion-styles '(flex basic)).